<template>
  <component
    :is="props.integration.settingsComponent"
    v-if="props.integration.settingsComponent"
    :integration="props.integration"
  >
    <template
      #default="{
        settings,
        hasSettings,
      }"
    >
      <el-button
        v-if="hasSettings"
        class="btn btn--transparent btn--md"
        @click="settings"
      >
        <i class="ri-settings-2-line mr-2" />Settings
      </el-button>
    </template>
  </component>
  <template v-else>
    <slot />
  </template>
</template>

<script setup>
import { defineProps } from 'vue';

const props = defineProps({
  integration: {
    type: Object,
    required: true,
    default: () => ({}),
  },
});
</script>

<script>
export default {
  name: 'AppIntegrationSettings',
};
</script>
